/*обнуляем отступы*/
*{
    padding: 0;
    margin: 0;
    border: 0;
}
/*меняем подсчет ширины блока так чтобы было удобно верстать*/
*,*:before,*:after{
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}
/*убираем линии обводки у некоторых браузеров*/
:focus,:active{outline: none}
a:focus,a:active{outline: none}
/*делаем блочными некоторые html5 теги*/
nav,footer,header,aside{display: block}
/*задаем параметры для html и body которые уравнивают поведение шифтов и элементов для разных браузеров, в том числе запрещают увелечение шрифта самовольное на айфонах например*/
html,body{
    height: 100%;
    width: 100%;
    font-size: 100%;
    line-height: 1;
    -ms-text-size-adjust: 100%;
    -moz-text-size-adjust: 100%;
    -webkit-text-size-adjust: 100%;
}
/*задаем унаследование семейство шрифта для тегов которые по умолчание не унаследуют*/
input,button,textarea{font-family: inherit}
/*убираем некоторые особенности в разных браузерах*/
input::-ms-clear{display: none}
button{cursor: pointer}
button::-moz-focus-inner {padding: 0;border: 0}
a,a:visited{text-decoration: none}
a:hover{text-decoration: none}
ul li{list-style: none}
img{vertical-align: top}
/*обнуляем все заголовки h*/
h1,h2,h3,h4,h5,h6{font-size: inherit;font-weight: 400}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active
{
    -webkit-box-shadow: 0 0 0 30px white inset !important;
}